package com.ruoyi.project.hit.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @TableName card_user
 */
@TableName(value ="card_user")
@Data
public class CardUser implements Serializable {
    @TableId(type = IdType.AUTO)
    private Integer id;

    @NotEmpty(message = "账号不能为空")
    private String userName;

    @NotEmpty(message = "密码不能为空")
    private String userPass;

    private String pic;

    @NotEmpty(message = "真实姓名不能为空")
    private String realname;

    private String idCard;

    @NotEmpty(message = "手机号不能为空")
    private String phone;

    private Integer level;

    //自动填充时间
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    private Integer delState;

//    private String remark;

    private static final long serialVersionUID = 1L;
}