package com.ruoyi.project.uniapp.mq;

import com.alibaba.fastjson.JSON;
import com.ruoyi.project.hit.domain.CardGameUser;
import com.ruoyi.project.hit.service.CardGameUserService;
import org.springframework.amqp.rabbit.annotation.RabbitHandler;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@RabbitListener(queues = "drawRecord")
@Component
public class Consumer01 {
    @Resource
    private CardGameUserService cardGameUserService;

    @RabbitHandler
    public void addCardGameUser(String cardGameUserStr){
        CardGameUser cardGameUser= JSON.parseObject(cardGameUserStr,CardGameUser.class);
        cardGameUserService.addCardGameUser(cardGameUser);
    }
}
