package com.ruoyi.project.hit.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @TableName card_user_hit
 */
@TableName(value ="card_user_hit")
@Data
public class CardUserHit implements Serializable {
    @TableId(type = IdType.AUTO)
    private Integer id;

    private Integer gameid;

    private Integer userid;

    private Integer productid;

    private Date hittime;

    private static final long serialVersionUID = 1L;

    public CardUserHit(Integer gameid, Integer userid, Integer productid, Date hittime) {
        this.gameid = gameid;
        this.userid = userid;
        this.productid = productid;
        this.hittime = hittime;
    }
}