package com.ruoyi.project.uniapp.mq;

import com.alibaba.fastjson.JSON;
import com.ruoyi.project.hit.domain.CardUserHit;
import com.ruoyi.project.hit.service.CardUserHitService;
import org.springframework.amqp.rabbit.annotation.RabbitHandler;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@RabbitListener(queues = "winnerRecord")
@Component
public class Consumer02 {
    @Autowired
    private CardUserHitService cardUserHitService;
    @RabbitHandler
    public void addCardUserHit(String cardUserHitStr){
        CardUserHit cardUserHit=  JSON.parseObject(cardUserHitStr,CardUserHit.class);
        cardUserHitService.addCardUserHit(cardUserHit);
    }
}
